### Method

# Camel MimeParser push_state

#### Declaration [src]

    void
    camel_mime_parser_push_state (
      CamelMimeParser* mp,
      CamelMimeParserState newstate,
      const gchar* boundary
    )

#### Description [src]

Pre-load a new parser state. Used to post-parse multipart content without headers.

#### Parameters

`newstate`

  Type: `CamelMimeParserState`

  New state.

`boundary`

  Type: `const gchar*`

  Boundary marker for state.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.